onlineMeeting: createOrGet

名前空間: microsoft.graph

重要

Microsoft Graph のバージョンの /beta API は変更される可能性があります。 実稼働アプリケーションでこれらの API を使用することは、サポートされていません。 API が v1.0 で使用できるかどうかを確認するには、 バージョン セレクターを使用します。

カスタム指定 の外部 ID を持つ onlineMeeting オブジェクトを作成します。 外部 ID が既に存在する場合、この API は、その外部 ID を持つ onlineMeeting オブジェクトを返します。

: ユーザーの予定表に、会議が表示されません。

アクセス許可

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) OnlineMeetings.ReadWrite
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション OnlineMeetings.ReadWrite.All*

重要

*管理者は、アプリケーション アクセス ポリシーを作成し、それをユーザーに付与し、ポリシーで構成されたアプリに対して、そのユーザーに代わって外部 ID を使用してオンライン会議を作成または取得する許可を与える必要があります (要求パスで指定されたユーザー ID)。

HTTP 要求

委任トークン を使用して createOrGet API を呼び出す方法:

POST /me/onlineMeetings/createOrGet

アプリケーション トークン を使用して createOrGet API を呼び出す方法:

POST /users/{userId}/onlineMeetings/createOrGet

注意

userIdAzure ユーザー管理ポータル 内のユーザーのオブジェクト ID です。 詳細については、アプリケーション アクセス ポリシーを参照してください。

要求ヘッダー

名前 説明
Authorization ベアラー {token}。必須。
Content-type application/json. Required.

要求本文

要求本文で、次のパラメーターを含む JSON オブジェクトを指定します。

パラメーター 種類 説明
chatInfo chatInfo このオンライン会議に関連付けられたチャット情報。
endDateTime DateTime UTC での会議の終了時刻。
externalId String 外部 ID。 カスタム ID。 (必須)
participants meetingParticipants オンライン会議に関連付けられた参加者。 これには、開催者と出席者が含まれます。
startDateTime DateTime UTC での会議の開始時刻。
subject String オンライン会議の件名。

注:

  • startDateTimeendDateTime が指定されていない場合、startDateTime は既定で現在の dateTime 値に設定され、endDateTime 値は startDateTime + 1 時間になります。

  • startDateTime が指定 されているが endDateTime が指定されていない場合、endDateTime 値は startDateTime + 1 時間と等しくなります。

  • endDateTime が startDateTime なしで指定されている場合、または endDateTimestartDateTime より前の場合は、エラー がスローされます

  • 現在 chatInfo はベータ版でのみサポートされています。

応答

成功した場合、このメソッドは、新201 Created``200 OKしい会議が作成された場合は応答コード、既存の会議が取得された場合は応答コードを返します。 どちらの場合も、応答本文に onlineMeeting オブジェクトが返されます。

例 1: 外部 ID を使用してオンライン会議を作成または取得する

要求

POST https://graph.microsoft.com/beta/me/onlineMeetings/createOrGet
Content-Type: application/json

{
    "startDateTime": "2020-02-06T01:49:21.3524945+00:00",
    "endDateTime": "2020-02-06T02:19:21.3524945+00:00",
    "subject": "Create a meeting with customId provided",
    "externalId": "7eb8263f-d0e0-4149-bb1c-1f0476083c56",
    "participants": {
        "attendees": [
            {
                "identity": {
                    "user": {
                        "id": "1f35f2e6-9cab-44ad-8d5a-b74c14720000"
                    }
                },
                "role": "presenter",
                "upn": "test1@contoso.com"
            }
        ]
    }
}

応答

注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。

HTTP/1.1 200 OK
Content-Type: application/json

{
    "id": "(redacted)",
    "creationDateTime": "2020-09-11T06:30:18.1909168Z",
    "startDateTime": "2020-09-11T06:30:18.0615989Z",
    "endDateTime": "2020-09-11T07:30:18.0615989Z",
    "joinWebUrl": "(redacted)",
    "subject": "Create a meeting with customId provided",
    "isBroadcast": false,
    "autoAdmittedUsers": "EveryoneInCompany",
    "isEntryExitAnnounced": true,
    "allowedPresenters": "everyone",
    "videoTeleconferenceId": "(redacted)",
    "externalId": "7eb8263f-d0e0-4149-bb1c-1f0476083c56",
    "participants": {
        "organizer": {
            "upn": "(redacted)",
            "role": "presenter",
            "identity": {
                "user": {
                    "id": "(redacted)",
                }
            }
        },
        "attendees": [
            {
                "upn": "test1@contoso.com",
                "role": null,
                "identity": {
                    "user": {
                        "id": "1f35f2e6-9cab-44ad-8d5a-b74c14720000",
                    }
                }
            }
        ],
        "producers": [],
        "contributors": []
    },
    "lobbyBypassSettings": {
        "scope": "organization",
        "isDialInBypassEnabled": false
    },
    "audioConferencing": {
        "conferenceId": "(redacted)",
        "tollNumber": "+1 206-485-3005",
        "tollFreeNumber": null,
        "dialinUrl": "https://dialin.teams.microsoft.com/0e73a853-1cc2-436c-b18c-9f53e0a97c24?id=(redacted)"
    },
    "chatInfo": {
        "threadId": "19:7ebda77322dd4505ac4dedb5b67df076@thread.tacv2",
        "messageId": "0",
        "replyChainMessageId": null
    },
}

例 2: 外部 ID を持つ Microsoft Teams会議を作成または取得する

要求

POST https://graph.microsoft.com/beta/me/onlineMeetings/createOrGet
Content-Type: application/json

{
    "chatInfo": {
        "threadId": "19:7ebda77322dd4505ac4dedb5b67df076@thread.tacv2"
    },
    "startDateTime": "2020-02-06T01:49:21.3524945+00:00",
    "endDateTime": "2020-02-06T02:19:21.3524945+00:00",
    "externalId": "7eb8263f-d0e0-4149-bb1c-1f0476083c56",
    "participants": {
        "attendees": [
            {
                "identity": {
                    "user": {
                        "id": "1f35f2e6-9cab-44ad-8d5a-b74c14720000"
                    }
                },
                "upn": "test1@contoso.com"
            }
        ]
    },
    "subject": "Create a meeting with customId provided"
}

応答

注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。

HTTP/1.1 200 OK
Content-Type: application/json

{
    "id": "(redacted)",
    "creationDateTime": "2020-09-11T06:30:18.1909168Z",
    "startDateTime": "2020-09-11T06:30:18.0615989Z",
    "endDateTime": "2020-09-11T07:30:18.0615989Z",
    "joinWebUrl": "(redacted)",
    "subject": "Create a meeting with customId provided",
    "isBroadcast": false,
    "autoAdmittedUsers": "EveryoneInCompany",
    "isEntryExitAnnounced": true,
    "allowedPresenters": "everyone",
    "videoTeleconferenceId": "(redacted)",
    "externalId": "7eb8263f-d0e0-4149-bb1c-1f0476083c56",
    "participants": {
        "organizer": {
            "upn": "(redacted)",
            "role": "presenter",
            "identity": {
                "user": {
                    "id": "(redacted)",
                }
            }
        },
        "attendees": [
            {
                "upn": "test1@contoso.com",
                "role": null,
                "identity": {
                    "user": {
                        "id": "1f35f2e6-9cab-44ad-8d5a-b74c14720000",
                    }
                }
            }
        ],
        "producers": [],
        "contributors": []
    },
    "lobbyBypassSettings": {
        "scope": "organization",
        "isDialInBypassEnabled": false
    },
    "audioConferencing": {
        "conferenceId": "(redacted)",
        "tollNumber": "+1 206-485-3005",
        "tollFreeNumber": null,
        "dialinUrl": "https://dialin.teams.microsoft.com/0e73a853-1cc2-436c-b18c-9f53e0a97c24?id=(redacted)"
    },
    "chatInfo": {
        "threadId": "19:7ebda77322dd4505ac4dedb5b67df076@thread.tacv2",
        "messageId": "1599805818399",
        "replyChainMessageId": null
    },
}